/*
 * The Good Bookr - PSP Bible Reader
 * Copyright (C) 2007 Phosphorous http://www.pspcoder.net/goodbookr/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef BKOSK_H
#define BKOSK_H

#include <string>
#include <vector>
using namespace std;

#include "fzscreen.h"
#include "bklayer.h"
#include "danzeff/danzeff.h"
#include "bkuser.h"

class BKOsk : public BKLayer {

  private:

  	SceCtrlData pad;
  	unsigned int key;

  	size_t cursor;
  	string input;

  	unsigned int historyItem;
  	vector<string>::iterator historyIterator;
  	static vector<string> history;

	void drawTextBox(string text, int w, int y, size_t cursorpos, int bg1, int bg2, int fg);

  public:

	BKOsk() : cursor(0), historyItem(0) {
		danzeff_load_lite();
		if( danzeff_isinitialized() ){
			danzeff_moveTo(165,40);
		}
	}
	~BKOsk(){ }

  	static string term;

	static BKOsk* create();
	int update(unsigned int buttons);
	void render();

	void free(){
		danzeff_free();
	}

};

#endif
