/*
 * Bookr: document reader for the Sony PSP 
 * Copyright (C) 2005 Carlos Carrasco Martinez (carloscm at gmail dot com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <stdio.h>
#include <list>
#include <sstream>
using namespace std;
#include "bkplaintext.h"
#include "bksql.h"
#include "bkuser.h"

BKPlainText::BKPlainText() : buffer(0) { }
BKPlainText::~BKPlainText() {
	saveLastView();
	if (buffer)
		free(buffer);
}

BKPlainText* BKPlainText::create(string& text) {

	BKPlainText* r = new BKPlainText();
	r->fileName = "book";//BKSql::books[BKUser::options.lastBook-1].name;

	long length = text.length();
	char* b = (char*)malloc(length);
	text.copy(b,length);

	r->buffer = BKFancyText::parseText(r, b, length);

	r->resetFonts();
	r->setRotation(BKUser::options.txtRotation);
	if( BKUser::options.txtRotation == 1 || BKUser::options.txtRotation == 3){
		r->resizeView(272, 480);
	} else {
		r->resizeView(480, 272);
	}
	return r;

}

void BKPlainText::getFileName(string& fn) {
	fn = fileName;
}
void BKPlainText::getTitle(string& t) {

	char title[100];
	int verse = getVerse();

	sprintf( title, "%s %d",
		BKSql::books[BKUser::options.lastBook-1].name.c_str(),
		BKUser::options.lastChapter );
	t = title;

	if( verse > 1 ){
//		t.append(":");
//		ostringstream s;
//		s << verse;
//		t.append(s.str());
		sprintf(title,":%d",verse);
		t += title;
	}

}

void BKPlainText::getType(string& t) {
	t = "Plain text";
}

